const path = require('path');

module.exports = {
  mode: 'production',
  entry: path.resolve(__dirname, '../src/renderer.ts'),
  target: 'electron13-renderer',
  output: {
    path: path.resolve(__dirname, '../frontend'),
    filename: 'bundle.js',
  },
  module: {
    rules: [
      {
        test: /\.svelte$/,
        loader: 'svelte-loader',
      },
      {
        test: /\.ts$/,
        loader: 'ts-loader',
        options: {
          configFile: path.resolve('tsconfig.renderer.json'),
        },
      },
    ],
  },
  resolve: {
    extensions: ['.ts', '.js'],
  },
};
